<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMlppDomainReq StructType
 * @subpackage Structs
 */
class AddMlppDomainReq extends APIRequest
{
    /**
     * The mlppDomain
     * @var XMlppDomain
     */
    public $mlppDomain;
    /**
     * Constructor method for AddMlppDomainReq
     * @uses AddMlppDomainReq::setMlppDomain()
     * @param XMlppDomain $mlppDomain
     */
    public function __construct(XMlppDomain $mlppDomain = null)
    {
        $this
            ->setMlppDomain($mlppDomain);
    }
    /**
     * Get mlppDomain value
     * @return XMlppDomain|null
     */
    public function getMlppDomain()
    {
        return $this->mlppDomain;
    }
    /**
     * Set mlppDomain value
     * @param XMlppDomain $mlppDomain
     * @return AddMlppDomainReq
     */
    public function setMlppDomain(XMlppDomain $mlppDomain = null)
    {
        $this->mlppDomain = $mlppDomain;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMlppDomainReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
